
VIRTUAL CREDIT CARD - Bug #15267

Android[TREATS][KONVERSIKAN TREATS REWARD]  It should show Transaction Failed

acknowledgement screen when there is error return from BE

19 December 2022 11:24 AM - ilham ilham

Status: Closed Start date: 19 December 2022

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

User : ntbsec05

step :

login

slide kartu kredit

tap kartu

tap My TREATS

tap KONVERSIKAN TREATS REWARD

actual : get notif like in picture

expected : should be success update Treats or Fail update Treats

History

#1 - 19 December 2022 05:05 PM - ilham ilham

ilham ilham wrote:

User : ntbsec05

step :

login

slide kartu kredit

tap kartu

tap My TREATS

tap KONVERSIKAN TREATS REWARD

tap radiobutton TREATS Miles

actual : get notif like in picture

expected : should be success update Treats or Fail update Treats

#2 - 19 December 2022 07:10 PM - hsulynn pang

- File expected result.PNG added

- Subject changed from Android[TREATS][KONVERSIKAN TREATS REWARD]  after ya in Pop Up show get notif/Error to

Android[TREATS][KONVERSIKAN TREATS REWARD]  It should show Transaction Failed acknowledgement screen when there is error return from
BE

Amendment:

Actual result- It shows error message in treats option list screen when there is error return from BE

Expected result: It shows Transaction Failed acknowledgement screen when there is error return from BE

#3 - 19 December 2022 09:43 PM - hsulynn pang

- Assignee changed from Abdul Halim Baharom to ilham ilham

#4 - 20 December 2022 10:19 AM - ilham ilham

- File bandicam 2022-12-20 09-16-21-835.mp4 added

- Status changed from New to Pending Close

need test for gagal update Treats

#5 - 30 December 2022 01:38 PM - ilham ilham

- Status changed from Pending Close to Assigned

- Assignee changed from ilham ilham to Abdul Halim Baharom

can you set for this. i need test for gagal update treats because i always got success

#6 - 30 December 2022 03:51 PM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to hsulynn pang

need your help with this Hsu Lynn

#7 - 30 December 2022 03:53 PM - hsulynn pang

- Status changed from Assigned to Closed

it's tested ok

Files

Capture231.JPG 107 KB 19 December 2022 ilham ilham

Capture232.JPG 35.1 KB 19 December 2022 ilham ilham

expected result.PNG 79.2 KB 19 December 2022 hsulynn pang

bandicam 2022-12-20 09-16-21-835.mp4 888 KB 20 December 2022 ilham ilham
